package com.huawei.hwmdemo.view.sdkconfig.menu;

import java.util.HashMap;
import java.util.HashSet;
import java.util.Map;

/**
 * 功能描述:所有自定义不显示的菜单项
 *
 * @author l00621708
 * @since 2022-05-25
 */
public class DisabledMenuConfig {
    // 不同handle类对应的配置
    Map<String, DisabledMenuHandleConfig> configMap;

    public DisabledMenuConfig() {
        configMap = new HashMap<>();
    }

    public Map<String, DisabledMenuHandleConfig> getConfigMap() {
        return configMap;
    }
    public static class DisabledMenuHandleConfig {
        // 不同方法分组对应的配置
        Map<String, HashSet<String>> disabledMenuGroup;

        public DisabledMenuHandleConfig() {
            disabledMenuGroup = new HashMap<>();
        }

        public Map<String, HashSet<String>> getDisabledMenuGroup() {
            return disabledMenuGroup;
        }
    }
}
